if not lower_menu_fps then
	return
end

local curr_fps_cap = nil 

local Setup_update = Setup.update

function Setup:update(t, dt)
	Setup_update(self, t, dt)
	
	local target_fps = Utils:IsInHeist() and managers.user:get_setting("fps_cap") or lower_menu_fps._data.fps
	
	if curr_fps_cap == target_fps then
		return
	end
	
	self:set_fps_cap(target_fps)
	curr_fps_cap = target_fps
end